diff -ruN vdr-1.7.14/svdrpsend.pl vdr-1.7.15/svdrpsend.pl
--- vdr-1.7.14/svdrpsend.pl	2001-02-18 14:51:12.000000000 +0100
+++ vdr-1.7.15/svdrpsend.pl	2010-04-02 14:22:01.000000000 +0200
@@ -7,13 +7,13 @@
 Usage: $0 options command...
 
 Options: -d hostname        destination hostname (default: localhost)
-         -p port            SVDRP port number (default: 2001)
+         -p port            SVDRP port number (default: 6419)
 };
 
 die $Usage if (!$ARGV[0] || !getopts("d:p:"));
 
 $Dest = $opt_d  || "localhost";
-$Port = $opt_p  || 2001;
+$Port = $opt_p  || 6419;
 $Cmd  = "@ARGV" || Error("missing command");
 
 $Timeout = 10; # max. seconds to wait for response
diff -ruN vdr-1.7.14/vdr.c vdr-1.7.15/vdr.c
--- vdr-1.7.14/vdr.c	2010-02-21 15:08:09.000000000 +0100
+++ vdr-1.7.15/vdr.c	2010-04-05 12:06:16.000000000 +0200
@@ -22,7 +22,7 @@
  *
  * The project's page is at http://www.tvdr.de
  *
- * $Id: vdr.c 2.17 2010/02/21 14:08:09 kls Exp $
+ * $Id: vdr.c 2.19 2010/04/05 10:06:16 kls Exp $
  */
 
 #include <getopt.h>
@@ -177,7 +177,7 @@
 
   // Command line options:
 
-#define DEFAULTSVDRPPORT 2001
+#define DEFAULTSVDRPPORT 6419
 #define DEFAULTWATCHDOG     0 // seconds
 #define DEFAULTCONFDIR CONFDIR
 #define DEFAULTPLUGINDIR PLUGINDIR
@@ -992,7 +992,7 @@
           case kRecordings: DirectMainFunction(osRecordings); break;
           case kSetup:      DirectMainFunction(osSetup); break;
           case kCommands:   DirectMainFunction(osCommands); break;
-          case kUser1 ... kUser9: cRemote::PutMacro(key); key = kNone; break;
+          case kUser0 ... kUser9: cRemote::PutMacro(key); key = kNone; break;
           case k_Plugin: {
                const char *PluginName = cRemote::GetPlugin();
                if (PluginName) {
